> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Appointment Type

> Delete an existing appointment type



## OpenAPI

````yaml delete /appointment_type
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /appointment_type:
    delete:
      tags:
        - Appointment Type
      summary: Delete Appointment Type
      description: Delete an existing appointment type
      parameters:
        - description: Select columns to return
          in: query
          name: select
          schema:
            type: string
        - name: id
          in: query
          description: Appointment type ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: name
          in: query
          description: Name of the appointment type
          schema:
            type: string
        - name: key
          in: query
          description: Key of the appointment type
          schema:
            type: string
        - name: emoji
          in: query
          description: Emoji of the appointment type
          schema:
            type: string
        - name: description
          in: query
          description: Description of the appointment type
          schema:
            type: string
        - name: external_id
          in: query
          description: External ID
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/appointment_type'
          description: The updated Appointment Type object
        '204':
          content: {}
          description: No Content
components:
  schemas:
    appointment_type:
      type: object
      properties:
        id:
          type: string
          description: Appointment type ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
          nullable: true
        name:
          type: string
          description: Name of the appointment type
          format: text
        key:
          type: string
          description: Key of the appointment type
          format: text
        emoji:
          type: string
          description: Emoji of the appointment type
          format: text
          nullable: true
        description:
          type: string
          description: Description of the appointment type
          format: text
          nullable: true
        external_id:
          type: string
          description: External ID
          format: text
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````